﻿@model AHCBL.Dto.Admin.MemberListDto
@{
    ViewBag.Title = "Main";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}


<div class="width1100 animated fadeInUp ani_delay05">
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.id)
    <p class="pTit" id="t_page_title">회원정보</p>
    <div class="pTable" style="overflow:hidden;">
        <div class="widthL">
            <p class="th">회원명</p>
            <p class="td basic"><span>@Html.DisplayFor(model => model.fullname)</span></p>
        </div>

        <div class="widthR">
            <p class="th">아이디</p>
            <p class="td basic"><span>@Html.DisplayFor(model => model.username)</span></p>
        </div>
        <div class="widthL">
            <p class="th">추천인</p>
            <p class="td basic"><span>@Html.DisplayFor(model => model.adviser_name)</span></p>
        </div>
        <div class="widthR">
            <p class="th">가입일</p>
            <p class="td basic"><span>@Html.DisplayFor(model => model.create_date).ToString().Substring(0, 10)</span></p>
        </div>
        <div class="widthL">
            <p class="th">휴대폰번호</p>
            <p class="td basic"><span>@Html.DisplayFor(model => model.mobile)</span></p>
        </div>
    </div>

    <p class="pTit" id="t_page_title" style="border-top: 1px solid rgba(205,176,138,.4);margin-top: 20px;">계좌정보</p>
    
        <div class="pTable" style="overflow:hidden;">
            <div class="widthL">
                <p class="th">은행명</p>
                @Html.DropDownListFor(m => m.bank_id, Model.bank_list, new { @class = "td basic" })
            </div>

            <div class="widthR">
                <p class="th">계좌번호</p>
                @Html.EditorFor(model => model.acc_no, new { htmlAttributes = new { @class = "td basic", @style = "text-align:center;" } })
                @Html.ValidationMessageFor(model => model.acc_no, "", new { @class = "text-danger" })
            </div>

            <div class="widthL">
                <p class="th">예금주</p>
                @Html.EditorFor(model => model.acc_name, new { htmlAttributes = new { @class = "td basic", @style = "text-align:center;" } })
                @Html.ValidationMessageFor(model => model.acc_name, "", new { @class = "text-danger" })
            </div>

            <div class="clearfix"></div>
            <div class="btnWrap" style="margin:20px auto;">

                <button type="button" onclick="SaveBank();" class="btnOk">변경</button>
                <a href="~/Main" class="btnCa" style="width:100px; height:40px;">취소</a>
            </div>
        </div>
    
    <p class="pTit" id="t_page_title" style="border-top: 1px solid rgba(205,176,138,.4);margin-top: 20px;">비밀번호 변경</p>
        <div class="pTable" style="overflow:hidden;">
            <div class="widthL">
                <p class="th">기존 비밀번호</p>
                <p class="td"><input id="txtPassOld" type="password" class="in100c motion"></p>
            </div>

            <div class="widthR">
                <p class="th">변경될 비밀번호</p>
                <p class="td"><input id="txtPassNew" type="password" class="in100c motion"></p>
            </div>
            <div class="widthL">
                <p class="th">변경될 비밀번호</p>
                <p class="td"><input id="txtChkPassNew" type="password" class="in100c motion"></p>
            </div>
            <div class="clearfix"></div>
            <div class="btnWrap">
                <button class="btnCa" onclick="ChangePass()" style="width:100px; height:40px;">확인</button>
                <a href="~/Main" class="btnCa" style="width:100px; height:40px;">취소</a>
            </div>
        </div>
    </div>
<script>
    function ChangePass() {
        var id = $("#id").val();
        var old_pass = '@ViewBag.OldPass';
        var chk_old_pass = $("#txtPassOld").val();
        var new_pass = $("#txtPassNew").val();
        var chk_new_pass = $("#txtChkPassNew").val();
        if (old_pass != chk_old_pass) {
            alert("기존비밀번호가 틀렸습니다 !");
            return;
        }
        if (new_pass != chk_new_pass) {
            alert("변경될 비밀번호가 틀렸습니다 !");
            return;
        }
        var options = {};
        options.url = "/Member/ChangePass";
        options.type = "POST";
        //options.data = JSON.stringify(selectedIDs);
        options.data = "{'id':" + id + ",'pass':'" + new_pass + "'}";
        options.contentType = "application/json";
        options.dataType = "json";
        options.success = function (msg) {
            alert(msg);
            location.reload();
        };
        options.error = function () {
            alert("수정하는동안 오류가 발생했습니다.!");
        };
        $.ajax(options);
    }
    function SaveBank() {
        var id = $("#id").val();
        var bank_id = $("#bank_id").val();
        var acc_no = $("#acc_no").val();
        var acc_name = $("#acc_name").val();
        $.ajax({
            type: "POST",
            url: "/Member/ChangeBank",
            data: "{'id':" + id + ",'bank_id':" + bank_id + ",'acc_no':'" + acc_no + "','acc_name':'" + acc_name + "'}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                if (msg.err == '0') {
                    alert(msg.errmsg);
                } else {
                    alert(msg.errmsg);
                }
            }
        });
    }
</script>
